<?php

/* DCMS Special
 * Дата последнего редактирования 16.01.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../../sys/inc/$inc.php";
}

$set['title'] = lang('Добавление директории') . ' &amp; ' . $_SERVER['HTTP_HOST'];

require_once H . 'sys/inc/thead.php';

aut();

if (!isset($user)) {
    echo '<div class = "errs">Доступ закрыт</div>';
} else if (isset($user) && $user['level'] < 4) {
    echo '<div class = "errs">Доступ закрыт</div>';
} else {

    if ($_GET['act'] == 'dir') {

        #Навигация
        echo "<div class='list-group-item-null list-group-item-grey'><small>";
        echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/modules/smiles/'>" . lang('Смайлы') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/modules/smiles/admin/'>" . lang('Управление') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Новый раздел');
        echo "</small></div><br />";

        if (isset($_POST['name']) && isset($_POST['pos']) && isset($_POST['level'])) {
            $name = esc(stripcslashes(htmlspecialchars($_POST['name'])));
            $pos = intval($_POST['pos']);
            $level = intval($_POST['level']);

            if (utf8_strlen($name) > 50) {
                $err = lang('Слишком большое название');
            } else if (utf8_strlen($name) < 3) {
                $err = lang('Слишком короткое название');
            } else if ($pos < 0) {
                $err = lang('Неверный выбор положения директории');
            } else {

                $db->query("INSERT INTO `smiles_dir` (`name`, `pos`, `level`) values('$name', '$pos', '$level')");
                $db->query("OPTIMIZE TABLE `smiles_dir`");

                $_SESSION['message'] = lang('Директория успешно добавлена');

                header("Location: index.php?");
                exit();
            }
        }

        err();

        echo "<form class='list-group-item-null' method='post' action='add.php?act=dir'>";

        echo lang('Название') . "<br />";
        echo "<input name='name' length='50' type='text' value='' class='form-control'>";

        echo lang('Позиция') . "<br />";
        echo "<input id='pos' name='pos' length='32' type='text' value='' class='form-control'>";

        echo lang('Для какого уровня смайлы') . "? (0-4)<br />";
        echo "<select name='level' class='form-control'>";
        echo "<option value = '0'>Пользователь</option>
        <option value = '1'>Модератор</option>
        <option value = '2'>Супер Модератор</option>
        <option value = '3'>Администратор</option>
        <option value = '4'>Главный администратор</option>";
        echo "</select><br />";

        $doc->Button('btn btn-success btn-sm', null, 'plus', 'Добавить');

        echo "</form>";
    } else if ($_GET['act'] == 'smile') {

        #Навигация
        echo "<div class='list-group-item-null list-group-item-grey'><small>";
        echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/modules/smiles/'>" . lang('Смайлы') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/modules/smiles/admin/'>" . lang('Управление') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Новый смайл');
        echo "</small></div><br />";

        if (isset($_FILES['file']) && $_FILES['file'] != NULL && isset($_POST['name']) && isset($_POST['sim']) && isset($_POST['dir'])) {
            $name = esc(stripcslashes(htmlspecialchars($_POST['name'])));
            $dir_s = intval($_POST['dir']);
            $sim = htmlspecialchars($_POST['sim']);

            if ($imgc = @imagecreatefromstring(file_get_contents($_FILES['file']['tmp_name']))) {

                $name = retranslit($name);

                if ($name == NULL) {
                    $err = lang('Название файла не заполнено');
                } else if (utf8_strlen($name) > 50) {
                    $err = lang('Название слишком длинное');
                } else if (utf8_strlen($name) < 1) {
                    $err = lang('Название слишком короткое');
                } else {

                    $db->query("INSERT INTO `smiles_spis` (`name`, `id_dir`, `sim`) values ('" . $name . "', '$dir_s', '$sim')");
                    copy($_FILES['file']['tmp_name'], H . 'style/smiles/' . $name . '.png');
                    chmod(H . 'style/smiles/' . $name . '.png', 0666);
                    msg("Смайл загружен");
                }
            } else {
                err("Это не смайл");
            }
            $db->query("OPTIMIZE TABLE `smiles_spis`");
        }

        err();

        echo "<form method='post' enctype='multipart/form-data' class='list-group-item-null' action='add.php?act=smile'>";

        $doc->File('file', 'Выберите изображение *.png', 'image/*,image/gif');

        echo lang('Короткое название смайла') . "<br />";
        echo "<input name='name' length='50' type='text' value='' class='form-control'>";

        echo lang('Как используем') . "?<br />";
        echo "<input name='sim' type='text' value='' class='form-control'>";

        echo lang('Директория') . ":<br />";

        echo "<select name='dir' class='form-control'>";

        $q = $db->query("SELECT * FROM `smiles_dir`");
        while ($dir = $db->get_array($q)) {
            echo "<option value='$dir[id]'>" . esc(stripcslashes(htmlspecialchars($dir['name']))) . "</option>";
        }
        echo "</select><br />";

        $doc->Button('btn btn-success btn-sm', null, 'upload', 'Загрузить');

        echo "</form>";
    } else {
        echo '<div class="err">Неверный ввод</div>';
    }
}

require_once H . 'sys/inc/tfoot.php';
